curl --request GET \
--url https://api.hubapi.com/crm-objects/v1/change-log/tickets[
{
"timestamp": 1525297495553,
"changeType": "CHANGED",
"objectId": 176602,
"changes": {
"changedProperties": [
"hs_lastmodifieddate",
"content",
"status"
],
"newAssociations": [],
"removedAssociations": [],
"newListMemberships": [],
"removedListMemberships": []
}
},
{
"timestamp": 1525297514887,
"changeType": "CHANGED",
"objectId": 176602,
"changes": {
"changedProperties": [
"hs_lastmodifieddate",
"content",
"status"
],
"newAssociations": [],
"removedAssociations": [],
"newListMemberships": [],
"removedListMemberships": []
}
},
{
"timestamp": 1525298220133,
"changeType": "CHANGED",
"objectId": 194042,
"changes": {
"changedProperties": [
"hs_lastmodifieddate",
"subject",
"created_by"
],
"newAssociations": [],
"removedAssociations": [],
"newListMemberships": [],
"removedListMemberships": []
}
},
{
"timestamp": 1525298357009,
"changeType": "CREATED",
"objectId": 217650,
"changes": {
"changedProperties": [
"hs_lastmodifieddate",
"subject",
"createdate",
"source_type",
"created_by",
"content",
"status"
],
"newAssociations": [],
"removedAssociations": [],
"newListMemberships": [],
"removedListMemberships": []
}
}
]Create a new ticket. The request body should be a list of ticket properties you want to set for the new ticket, with each entry being the internal name of the property to be set, and the value of that property. You must set the ticket pipeline and stage when creating a new ticket. Please see the example for more details.
curl --request GET \
--url https://api.hubapi.com/crm-objects/v1/change-log/tickets[
{
"timestamp": 1525297495553,
"changeType": "CHANGED",
"objectId": 176602,
"changes": {
"changedProperties": [
"hs_lastmodifieddate",
"content",
"status"
],
"newAssociations": [],
"removedAssociations": [],
"newListMemberships": [],
"removedListMemberships": []
}
},
{
"timestamp": 1525297514887,
"changeType": "CHANGED",
"objectId": 176602,
"changes": {
"changedProperties": [
"hs_lastmodifieddate",
"content",
"status"
],
"newAssociations": [],
"removedAssociations": [],
"newListMemberships": [],
"removedListMemberships": []
}
},
{
"timestamp": 1525298220133,
"changeType": "CHANGED",
"objectId": 194042,
"changes": {
"changedProperties": [
"hs_lastmodifieddate",
"subject",
"created_by"
],
"newAssociations": [],
"removedAssociations": [],
"newListMemberships": [],
"removedListMemberships": []
}
},
{
"timestamp": 1525298357009,
"changeType": "CREATED",
"objectId": 217650,
"changes": {
"changedProperties": [
"hs_lastmodifieddate",
"subject",
"createdate",
"source_type",
"created_by",
"content",
"status"
],
"newAssociations": [],
"removedAssociations": [],
"newListMemberships": [],
"removedListMemberships": []
}
}
]Scope requirements
Successful response - Create a new ticket
The response is of type object.
Was this page helpful?